#
# spec file for package python-rawkit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-rawkit
Version:        0.5.0
Release:        lp151.2.2
Summary:        CTypes based LibRaw bindings
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/photoshell/rawkit/issues
Source0:        https://files.pythonhosted.org/packages/source/r/rawkit/rawkit-%{version}.tar.gz
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
The rawkit (pronounced rocket) module is a ctypes-based LibRaw
binding for Python inspired by the Wand API.

%prep
%setup -q -n rawkit-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python %{_bindir}/py.test -v tests

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Fri Jul  7 2017 aloisio@gmx.com
- Initial package (0.5.0)
